Bug 1083694 - kernel-docs build fails with the latest Sphinx
kernel-docs build fails with the latest Sphinx
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-02 11:42 UTC by Takashi Iwai
Modified: 2022-07-21 17:21 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Fix patch (1.11 KB, patch)
2018-03-02 11:53 UTC, Takashi Iwai
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takashi Iwai 2018-03-02 11:42:57 UTC
The build of kernel-docs package fails on TW with the recent Sphinx package:
  Could not import extension kerneldoc (exception: cannot import name 'Directive')
  make[2]: *** [../Documentation/Makefile:68: htmldocs] Error 2

It's due to the import of Directive in Documentation/sphinx/kerneldoc.py:
  from sphinx.util.compat import Directive

where it was deprecated in the recent version.
The fallback to the following is needed:
  from docutils.parsers.rst import directives, Directive
Comment 1 Takashi Iwai 2018-03-02 11:53:27 UTC
Created attachment 762484 [details]
Fix patch
Comment 2 Takashi Iwai 2018-03-23 11:18:42 UTC
Fixed.